# Enum Class SSLHostConfigCertificate.Type

java.lang.Object
java.lang.Enum<SSLHostConfigCertificate.Type>
org.apache.tomcat.util.net.SSLHostConfigCertificate.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SSLHostConfigCertificate.Type>`, `Constable`

Enclosing class:
  `SSLHostConfigCertificate`

public static enum SSLHostConfigCertificate.Type extends Enum<SSLHostConfigCertificate.Type>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DSA`
`EC`
`RSA`
`UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCompatibleWith(Authentication au)`
`static SSLHostConfigCertificate.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SSLHostConfigCertificate.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNDEFINED

public static final SSLHostConfigCertificate.Type UNDEFINED

### RSA

public static final SSLHostConfigCertificate.Type RSA

### DSA

public static final SSLHostConfigCertificate.Type DSA

### EC

public static final SSLHostConfigCertificate.Type EC

## Method Details

### values

public static SSLHostConfigCertificate.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SSLHostConfigCertificate.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCompatibleWith

public boolean isCompatibleWith(Authentication au)